# Uses of Class
net.shibboleth.shared.codec.DecodingException

Packages that use DecodingException
Package
Description
net.shibboleth.shared.codec
A set of helper functions for encoding/decoding data to/from different formats.
net.shibboleth.utilities.java.support.codec
Legacy API stub for compatibility.

## Uses of DecodingException in net.shibboleth.shared.codec

Methods in net.shibboleth.shared.codec that throw DecodingException
Modifier and Type
Method
Description
`static byte[]`
Base32Support.`decode(String data)`
Decodes (un)chunked Base32 encoded data.
`static byte[]`
Base64Support.`decode(String data)`
Decodes (un)chunked Base64 encoded data.
`static byte[]`
Base64Support.`decodeURLSafe(String data)`
Decodes (un)chunked Base64URL encoded data.

## Uses of DecodingException in net.shibboleth.utilities.java.support.codec

Methods in net.shibboleth.utilities.java.support.codec that throw DecodingException
Modifier and Type
Method
Description
`static byte[]`
Base32Support.`decode(String data)`
Deprecated, for removal: This API element is subject to removal in a future version.
Decodes (un)chunked Base32 encoded data.
`static byte[]`
Base64Support.`decode(String data)`
Deprecated, for removal: This API element is subject to removal in a future version.
Decodes (un)chunked Base64 encoded data.
`static byte[]`
Base64Support.`decodeURLSafe(String data)`
Deprecated, for removal: This API element is subject to removal in a future version.
Decodes (un)chunked Base64URL encoded data.